org.apache.commons.compress.harmony.pack200

## Class NewAttribute.StripAttribute

- java.lang.Object
- - org.objectweb.asm.Attribute
  - - org.apache.commons.compress.harmony.pack200.NewAttribute
    - - org.apache.commons.compress.harmony.pack200.NewAttribute.StripAttribute

- Enclosing class:
    NewAttribute

      public static class NewAttribute.StripAttribute
      extends NewAttribute

  StripAttribute extends `NewAttribute` and manages attributes encountered by ASM that have had an strip action specified to pack200 (e.g. via one of the -C, -M, -F or -D command line options such as -Cattribute-name=strip)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.compress.harmony.pack200.NewAttribute

      `NewAttribute.ErrorAttribute, NewAttribute.PassAttribute, NewAttribute.StripAttribute`

  - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.Attribute

      `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StripAttribute(String type, int context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.objectweb.asm.Attribute` | `read(org.objectweb.asm.ClassReader cr, int off, int len, char[] buf, int codeOff, org.objectweb.asm.Label[] labels)`

    - ### Methods inherited from class org.apache.commons.compress.harmony.pack200.NewAttribute

      `addContext, getBytes, getLabel, getLayout, isCodeAttribute, isContextClass, isContextCode, isContextField, isContextMethod, isUnknown, isUnknown, readClass, readConst, readUTF8`

    - ### Methods inherited from class org.objectweb.asm.Attribute

      `getLabels, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StripAttribute

          public StripAttribute(String type,
                                int context)

  - ### Method Detail

    - #### read

          protected org.objectweb.asm.Attribute read(org.objectweb.asm.ClassReader cr,
                                                     int off,
                                                     int len,
                                                     char[] buf,
                                                     int codeOff,
                                                     org.objectweb.asm.Label[] labels)

      Overrides:
        `read` in class `NewAttribute`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.